<?php

session_start();

$foot_s = "3";

$head = file_get_contents('templ/head.php');
$errors = array();

session_unset();
echo $head;

	$filename="config.php";
	$fd=fopen($filename,"r");
	$buffer=fread($fd, filesize($filename));
	fclose($fd);
        $dhost = trim($_POST['host']);
        $duser = trim($_POST['user']);
        $dpass = trim($_POST['pass']);
        $dname = trim($_POST['name']);
        $text = " \r\n 'db' => \r\n array (\r\n    'host' => '$dhost',\r\n    'name' => '$dname',\r\n    'user' => '$duser', \r\n    'pass' => '$dpass', \r\n    'prefix' => '', \r\n ) \r\n ) ?>"
        . "\r\n";
        $fp = @ fopen("../sys/settings/config.php", "w");
        fputs($fp, $buffer);
        fputs($fp, $text);
        fclose($fp);

include '../sys/settings/config.php';

$connect = mysql_connect($set['db']['host'], $set['db']['user'], $set['db']['pass']) OR DIE("Не могу создать соединение ");
mysql_select_db($set['db']['name']) or die(mysql_error());




if (isset($_POST['send'])) {
	if (empty($_POST['adm_name'])) $errors['adm_name'] = 'Не заполненно поле "Логин"';
	if (empty($_POST['adm_pass'])) $errors['adm_pass'] = 'Не заполненно поле "Пароль"';

	
	if (empty($errors)) {	
		$_SESSION['adm_name'] = $_POST['adm_name'];
		$_SESSION['adm_pass'] = $_POST['adm_pass'];
		header ('Location: shag_4.php');
	} 
}


        mysql_query("SET NAMES 'utf8'", $connect);
        $error = '';
        @ set_magic_quotes_runtime(0);
        // Читаем SQL файл и заносим его в базу данных
        $query = fread(fopen('db.sql', 'r'), filesize('db.sql'));
        $pieces = split_sql($query);
        for ($i = 0; $i < count($pieces); $i++) {
            $pieces[$i] = trim($pieces[$i]);
            if (!empty ($pieces[$i]) && $pieces[$i] != "#") {
                if (!mysql_query($pieces[$i])) {
                    $error = $error . mysql_error() . '<br />';
                }
            }
        }

        if (empty ($error)) {
        echo "<br> <div align='center'>Регистрация администратора</div> <br><form method='POST' action='shag_4.php'><table align='center'>	<tr>		<td>Логин:</td>		<td><input type='text' name='adm_name' /></td>	</tr>	<tr>		<td>Пароль:</td>		<td><input type='text' name='adm_pass' /></td>	</tr>	<tr>		<td colspan='2'><input type='submit' name='send' value='Готово' /></td>	</tr></table></form>";
        }
        else {
            // Если были ошибки, выводим их
            echo $error;
            echo '<br />В процессе установки возникли ошибки.<br />';
        echo '<a href="shag_4.php">Всё равно продолжить</a>';
        }


function split_sql($sql) {
    $sql = trim($sql);
    $sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);
    $buffer = array();
    $ret = array();
    $in_string = false;
    for ($i = 0; $i < strlen($sql) - 1; $i++) {
        if ($sql[$i] == ";" && !$in_string) {
            $ret[] = substr($sql, 0, $i);
            $sql = substr($sql, $i + 1);
            $i = 0;
        }
        if ($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
            $in_string = false;
        }
        elseif (!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset ($buffer[0]) || $buffer[0] != "\\")) {
            $in_string = $sql[$i];
        }
        if (isset ($buffer[1])) {
            $buffer[0] = $buffer[1];
        }
        $buffer[1] = $sql[$i];
    }
    if (!empty ($sql)) {
        $ret[] = $sql;
    }
    return ($ret);
}

include 'templ/foot.php'
?>
